Sign inGet started

Approvals

GET
/organizations/{organizationId}/approvals
List approval flows
Parametry zapytania
pageToken
string
The cursor that keeps track of the current position in the results.
limit
integer
Limits the number of results to return.
reverse
boolean
Reverses the order in which the results are returned.
status
string
Possible values: active, deleted
objectType
string
objectAction
string
Possible values: create, update, delete
tags
string
Treść odpowiedzi
results
array of object
wymagane
Pokaż atrybuty podrzędne
results.id
string
wymagane
results.organizationId
string
results.workspaceId
string
results.ownerId
string
wymagane
results.name
string
wymagane
results.description
string
wymagane
results.objectType
string
wymagane
The identifier of the object
results.objectAction
string
wymagane
The action performed on the object
Possible values: create, update, delete
results.steps
array of object
wymagane
Pokaż atrybuty podrzędne
results.steps.type
string
wymagane
Possible values: any, all
results.steps.users
array of string
wymagane
results.steps.reviewers
array of object
Pokaż atrybuty podrzędne
results.steps.reviewers.type
string
wymagane
Possible values: user
results.steps.reviewers.id
string
wymagane
results.steps.message
string
results.createdAt
string
wymagane
results.updatedAt
string
wymagane
results.tags
array of object
Pokaż atrybuty podrzędne
results.tags.key
string
wymagane
results.tags.value
string
wymagane
nextPageToken
string
The token to fetch the next page of results. If empty, there are no more results to fetch.
Przykład kodu
curl -X GET 'https://api.bird.com/organizations/{organizationId}/approvals' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
POST
/organizations/{organizationId}/approvals
Create approval flow
Treść żądania
name
string
wymagane
description
string
wymagane
objectType
string
wymagane
The identifier of the object
objectAction
string
wymagane
The action performed on the object
Possible values: create, update, delete
tags
array of object
Pokaż parametry podrzędne
tags.key
string
wymagane
tags.value
string
wymagane
steps
array of object
wymagane
Pokaż parametry podrzędne
steps.type
string
wymagane
Possible values: any, all
steps.users
array of string
steps.reviewers
array of object
Pokaż parametry podrzędne
steps.reviewers.type
string
wymagane
Possible values: user
steps.reviewers.id
string
wymagane
steps.message
string
Treść odpowiedzi
id
string
wymagane
organizationId
string
workspaceId
string
ownerId
string
wymagane
name
string
wymagane
description
string
wymagane
objectType
string
wymagane
The identifier of the object
objectAction
string
wymagane
The action performed on the object
Possible values: create, update, delete
steps
array of object
wymagane
Pokaż atrybuty podrzędne
steps.type
string
wymagane
Possible values: any, all
steps.users
array of string
wymagane
steps.reviewers
array of object
Pokaż atrybuty podrzędne
steps.reviewers.type
string
wymagane
Possible values: user
steps.reviewers.id
string
wymagane
steps.message
string
createdAt
string
wymagane
updatedAt
string
wymagane
tags
array of object
Pokaż atrybuty podrzędne
tags.key
string
wymagane
tags.value
string
wymagane
Przykład kodu
curl -X POST 'https://api.bird.com/organizations/{organizationId}/approvals' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
GET
/organizations/{organizationId}/approvals/{approvalId}
Retrieve approval flow
Treść odpowiedzi
id
string
wymagane
organizationId
string
workspaceId
string
ownerId
string
wymagane
name
string
wymagane
description
string
wymagane
objectType
string
wymagane
The identifier of the object
objectAction
string
wymagane
The action performed on the object
Possible values: create, update, delete
steps
array of object
wymagane
Pokaż atrybuty podrzędne
steps.type
string
wymagane
Possible values: any, all
steps.users
array of string
wymagane
steps.reviewers
array of object
Pokaż atrybuty podrzędne
steps.reviewers.type
string
wymagane
Possible values: user
steps.reviewers.id
string
wymagane
steps.message
string
createdAt
string
wymagane
updatedAt
string
wymagane
tags
array of object
Pokaż atrybuty podrzędne
tags.key
string
wymagane
tags.value
string
wymagane
Przykład kodu
curl -X GET 'https://api.bird.com/organizations/{organizationId}/approvals/{approvalId}' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
DELETE
/organizations/{organizationId}/approvals/{approvalId}
Delete approval flow
Przykład kodu
curl -X DELETE 'https://api.bird.com/organizations/{organizationId}/approvals/{approvalId}' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'
PATCH
/organizations/{organizationId}/approvals/{approvalId}
Update approval flow
Treść żądania
name
string
description
string
objectType
string
objectAction
string
Possible values: create, update, delete
steps
array of object
Pokaż parametry podrzędne
steps.type
string
wymagane
Possible values: any, all
steps.users
array of string
steps.reviewers
array of object
Pokaż parametry podrzędne
steps.reviewers.type
string
wymagane
Possible values: user
steps.reviewers.id
string
wymagane
steps.message
string
Treść odpowiedzi
id
string
wymagane
organizationId
string
workspaceId
string
ownerId
string
wymagane
name
string
wymagane
description
string
wymagane
objectType
string
wymagane
The identifier of the object
objectAction
string
wymagane
The action performed on the object
Possible values: create, update, delete
steps
array of object
wymagane
Pokaż atrybuty podrzędne
steps.type
string
wymagane
Possible values: any, all
steps.users
array of string
wymagane
steps.reviewers
array of object
Pokaż atrybuty podrzędne
steps.reviewers.type
string
wymagane
Possible values: user
steps.reviewers.id
string
wymagane
steps.message
string
createdAt
string
wymagane
updatedAt
string
wymagane
tags
array of object
Pokaż atrybuty podrzędne
tags.key
string
wymagane
tags.value
string
wymagane
Przykład kodu
curl -X PATCH 'https://api.bird.com/organizations/{organizationId}/approvals/{approvalId}' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'